changeset 1924:48f0013988b1

[project @ 1996-02-11 20:33:34 by jwe]
author jwe
date Sun, 11 Feb 1996 20:37:23 +0000
parents 1d4f67de06f4
children f69f71d23771
files configure.in src/mk-oct-links.in
diffstat 2 files changed, 10 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/configure.in
+++ b/configure.in
@@ -20,7 +20,7 @@
 ### along with Octave; see the file COPYING.  If not, write to the Free
 ### Software Foundation, 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
-AC_REVISION($Revision: 1.164 $)
+AC_REVISION($Revision: 1.165 $)
 AC_PREREQ(2.0)
 AC_INIT(src/octave.cc)
 AC_CONFIG_HEADER(config.h)
@@ -949,8 +949,9 @@
 
 ### Do the substitutions in all the Makefiles.
 
-AC_OUTPUT(Makefile octMakefile Makeconf liboctave/Makefile
-	  src/Makefile dld/Makefile doc/Makefile test/Makefile
+AC_OUTPUT(Makefile octMakefile Makeconf
+	  dld/Makefile doc/Makefile test/Makefile
+	  liboctave/Makefile src/Makefile src/mk-oct-links
 	  libcruft/Makefile libcruft/Makerules libcruft/blas/Makefile
 	  libcruft/balgen/Makefile libcruft/dassl/Makefile
 	  libcruft/eispack/Makefile libcruft/fftpack/Makefile
--- a/src/mk-oct-links.in
+++ b/src/mk-oct-links.in
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/sh -e
 
 # Create additional links to .oct files that define more than one
 # function.
@@ -7,6 +7,8 @@
 # installed.  The remaining arguments should be the list of source
 # files that were used to create the .oct files.
 
+LN_S="@LN_S@"
+
 links_dir=$1
 shift
 
@@ -21,8 +23,10 @@
         true
       else
 	echo "creating link $n.oct -> $base.oct"
-        ( cd $links_dir; ln $base.oct $n.oct )
+        ( cd $links_dir; $LN $base.oct $n.oct )
       fi
     done
   fi
 done
+
+exit $?